### Function

# GimpUi help_connect

#### Declaration [src]

    void
    gimp_help_connect (
      GtkWidget* widget,
      GimpHelpFunc help_func,
      const gchar* help_id,
      gpointer help_data,
      GDestroyNotify help_data_destroy
    )

#### Description [src]

Note that this function is automatically called by all libgimp dialog constructors. You only have to call it for windows/dialogs you created “manually”.

#### Parameters

`widget` | `GtkWidget`
| The widget you want to connect the help accelerator for. Will be a `GtkWindow` in most cases.
| The data is owned by the caller of the function.
`help_func` | `GimpHelpFunc`
| The function which will be called if the user presses “F1”.
`help_id` | `const gchar*`
| The `help_id` which will be passed to `help_func`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`help_data` | `gpointer`
| The `help_data` pointer which will be passed to `help_func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`help_data_destroy` | `GDestroyNotify`
| Destroy function for `help_data`.